Subject: Re: [PATCH net v1 1/1] netfilter: conntrack: Guard possoble unused functions

From: Simon Horman <[email-masked]>
Date: Mon, 16 Sep 2024 16:17:09 +0100

On Tue, Sep 10, 2024 at 10:45:20AM +0100, Simon Horman wrote:
> On Tue, Sep 10, 2024 at 11:12:21AM +0300, Andy Shevchenko wrote:
> > On Mon, Sep 09, 2024 at 07:30:43PM +0100, Simon Horman wrote:
> > > On Mon, Sep 09, 2024 at 06:36:07PM +0300, Andy Shevchenko wrote:
> > > > On Mon, Sep 09, 2024 at 04:17:12PM +0100, Simon Horman wrote:
> > > > > On Mon, Sep 09, 2024 at 12:37:51PM +0300, Andy Shevchenko wrote:
> > > > > > On Fri, Sep 06, 2024 at 05:29:38PM +0100, Simon Horman wrote:
> > > > > > > On Thu, Sep 05, 2024 at 11:36:12PM +0300, Andy Shevchenko wrote:
> > > > > > 
> > > > > > > Local testing seems to show that the warning is still emitted
> > > > > > > for ctnetlink_label_size if CONFIG_NETFILTER_NETLINK_GLUE_CT is enabled
> > > > 
> > > > Hold on, this is not related to the patch.
> > > > It might be another issue.
> > > 
> > > Yes, sorry, I see that now too.
> > > 
> > > Perhaps it can be fixed separately, something like this:
> > 
> > If you make a patch, it will help somebody who has that in their configuration
> > files enabled (with the other one being disabled). Note, I use x86_64_defconfig
> > which doesn't have this specific issue to be occurred.
> 
> Thanks, I'll plan to submit a patch.

The patch grew into two, I've posted them here:

- [PATCH nf-next 0/2] netfilter: conntrack: label helpers conditional compilation updates
  https://lore.kernel.org/netfilter-devel/[email-masked]/